Page MenuHomePhabricator

QA: Search with search in pages button test broken
Closed, DuplicatePublic

Description

https://integration.wikimedia.org/ci/view/Mobile/job/browsertests-MobileFrontend-en.m.wikipedia.beta.wmflabs.org-linux-chrome-sauce/639/testReport/junit/(root)/Search/Search_with_search_in_pages_button/

It seems to break because the chrome driver clicks exactly in the center of the element and for some reason when I click in the center it doesn't actually trigger a search...

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterFix search in pages feature in firefox
mediawiki/extensions/MobileFrontend : masterFix flakey search in pages feature
mediawiki/extensions/MobileFrontend : masterQA: Allow more time for search test to pass

Event Timeline

Jdlrobson created this task.May 7 2015, 2:24 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to 2017-18 Q4 on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2015, 2:24 PM

@phuedx this and T97460 are stopping our tests for MobileFrontend from passing.

Change 225673 had a related patch set uploaded (by Jdlrobson):
QA: Allow more time for search test to pass

https://gerrit.wikimedia.org/r/225673

Florian closed this task as Resolved.Jul 19 2015, 12:04 PM
Florian claimed this task.
Florian reassigned this task from Florian to Jdlrobson.
Florian set Security to None.

Change 225673 merged by jenkins-bot:
QA: Allow more time for search test to pass

https://gerrit.wikimedia.org/r/225673

Jdlrobson reopened this task as Open.Jul 27 2015, 4:34 PM

Still breaking:
timed out after 5 seconds, waiting for {:css=>".mw-search-results", :tag_name=>"ul"} to become present (Watir::Wait::TimeoutError)
https://integration.wikimedia.org/ci/job/browsertests-MobileFrontend-en.m.wikipedia.beta.wmflabs.org-linux-chrome-sauce/728/

Jdlrobson removed Jdlrobson as the assignee of this task.Jul 27 2015, 7:12 PM

Not currently working on this. Would be great if someone could investigate! I think there is a real bug here - and sometimes clicks do not work (I encountered this whilst testing)

Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-52-Zoolander board.

Change 227367 had a related patch set uploaded (by Jdlrobson):
Fix flakey search in pages feature

https://gerrit.wikimedia.org/r/227367

Change 227367 merged by jenkins-bot:
Fix flakey search in pages feature

https://gerrit.wikimedia.org/r/227367

Jdlrobson reopened this task as Open.Aug 3 2015, 10:55 PM

It's happening again... now on Firefox exclusively. On it.

Change 229023 had a related patch set uploaded (by Jdlrobson):
Fix search in pages feature in firefox

https://gerrit.wikimedia.org/r/229023

Change 229023 merged by jenkins-bot:
Fix search in pages feature in firefox

https://gerrit.wikimedia.org/r/229023

Jhernandez closed this task as Resolved.Aug 5 2015, 11:49 AM